# CEM Token Export Report

Generated: 2026-05-02T15:22:05.002Z  
Package: 0.0.11  
Specs: cem-colors, cem-dimension, cem-timing, cem-breakpoints, cem-coupling, cem-controls, cem-shape, cem-stroke, cem-layering, cem-voice-fonts-typography

## Summary

| Stat | Count |
| ---- | ----- |
| Visual tokens emitted | 371 |
| Voice tokens emitted | 42 |
| Skipped (optional) | 5 |
| Skipped (adapter) | 0 |
| Skipped (deprecated) | 3 |
| Errors | 0 |

## Portability

| Portability | Count |
| ----------- | ----- |
| `literal` | 124 |
| `css-expression` | 57 |
| `mode` | 28 |
| `alias` | 162 |

## CSS-expression tokens (web-only)

These tokens use `color-mix()`, `calc()`, or `env()` — they require a CSS runtime and cannot
be used directly on non-web platforms. Their light-mode computed value is in `$value`.

- `--cem-color-visitedtext-30-black`
- `--cem-color-visitedtext-30-white`
- `--cem-color-mark-30-black`
- `--cem-color-mark-30-white`
- `--cem-color-canvastext-30-purple`
- `--cem-color-canvastext-30-lightpink`
- `--cem-color-red-30-black`
- `--cem-color-red-30-white`
- `--cem-action-explicit-disabled-background`
- `--cem-action-explicit-readonly-background`
- `--cem-action-explicit-editable-background`
- `--cem-action-explicit-indeterminate-background`
- `--cem-action-explicit-hover-background`
- `--cem-action-explicit-active-background`
- `--cem-action-explicit-pending-background`
- `--cem-action-primary-disabled-background`
- `--cem-action-primary-readonly-background`
- `--cem-action-primary-editable-background`
- `--cem-action-primary-indeterminate-background`
- `--cem-action-primary-hover-background`
- `--cem-action-primary-active-background`
- `--cem-action-primary-pending-background`
- `--cem-action-contextual-disabled-background`
- `--cem-action-contextual-readonly-background`
- `--cem-action-contextual-editable-background`
- `--cem-action-contextual-indeterminate-background`
- `--cem-action-contextual-hover-background`
- `--cem-action-contextual-active-background`
- `--cem-action-contextual-pending-background`
- `--cem-action-alternate-disabled-background`
- `--cem-action-alternate-readonly-background`
- `--cem-action-alternate-editable-background`
- `--cem-action-alternate-indeterminate-background`
- `--cem-action-alternate-hover-background`
- `--cem-action-alternate-active-background`
- `--cem-action-alternate-pending-background`
- `--cem-action-destructive-disabled-background`
- `--cem-action-destructive-readonly-background`
- `--cem-action-destructive-editable-background`
- `--cem-action-destructive-indeterminate-background`
- `--cem-action-destructive-hover-background`
- `--cem-action-destructive-active-background`
- `--cem-action-destructive-pending-background`
- `--cem-bp-width-compact-max`
- `--cem-bp-width-medium-max`
- `--cem-bp-width-expanded-max`
- `--cem-bp-width-large-max`
- `--cem-bp-height-compact-max`
- `--cem-bp-height-medium-max`
- `--cem-cq-width-compact-max`
- `--cem-cq-width-medium-max`
- `--cem-cq-width-expanded-max`
- `--cem-bend-round`
- `--cem-bend-modal`
- `--cem-ring-zebra-3`
- `--cem-ring-zebra-4`
- `--cem-typography-iconized-font-size`

## Skipped tokens

Pass `--with-{tier}` to include these in the output.

- `--cem-layout-stack-tight` (tier: `optional`, spec: cem-dimension)
- `--cem-layout-stack-loose` (tier: `optional`, spec: cem-dimension)
- `--cem-layout-inline-tight` (tier: `deprecated`, spec: cem-dimension)
- `--cem-layout-inline` (tier: `deprecated`, spec: cem-dimension)
- `--cem-layout-inline-loose` (tier: `deprecated`, spec: cem-dimension)
- `--cem-bend-control-round-ends` (tier: `optional`, spec: cem-shape)
- `--cem-layer-back-deep` (tier: `optional`, spec: cem-layering)
- `--cem-layer-work-floating` (tier: `optional`, spec: cem-layering)

---

> Generated by `export-tokens.mjs`. Do not edit by hand.
